Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeWorld Class Reference

IdeWorld is the basic interface to the deWorld storage class. More...

`#include <deWorld.hpp>`

Inheritance diagram for IdeWorld:

[legend]
Collaboration diagram for IdeWorld:

[legend]
List of all members.

## Public Member Functions
virtual deWorldID | GetWorldID ()=0
| Get the ID number of this world.
virtual deWorldID | GetWorldIDUsingLocalID (deWorldID LocalID, deBoolean ForceLoad=(DE_FALSE))=0
virtual deWorldID | GetLocalIDFromLoadedWorld (deWorldID WorldID)=0
virtual IdeWorldObject * | GetWorldObject (deObjectID ObjectID)=0
| Get the interface to an object based on its ID.
virtual deBoolean | Serialize (IdeFile *File)=0
| Write the world to an open file.
virtual deBoolean | DeSerialize (IdeFile *File)=0
| Read the world from an open file.
virtual const char * | GetNextObjectTypeName (void *&PrevEntry)=0
virtual deObjectID | GetNextObjectOfType (const char *TypeName, void *&PrevEntry)=0
virtual deObjectID | AddWorldObject (IdeWorldObject *Object)=0
virtual deBoolean | AddWorldObjectWithID (IdeWorldObject *Object)=0
virtual deBoolean | RemoveWorldObject (deObjectID ObjectID)=0
## Protected Member Functions
virtual | ~IdeWorld (void)

## Detailed Description

IdeWorld is the basic interface to the deWorld storage class.

## Constructor & Destructor Documentation

virtual IdeWorld::~IdeWorld | ( | void |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual deObjectID IdeWorld::AddWorldObject | ( | IdeWorldObject * | Object | ) | `[pure virtual]`

| Implemented in deWorld.

virtual deBoolean IdeWorld::AddWorldObjectWithID | ( | IdeWorldObject * | Object | ) | `[pure virtual]`

| Implemented in deWorld.

virtual deBoolean IdeWorld::DeSerialize | ( | IdeFile * | File | ) | `[pure virtual]`

| Read the world from an open file. Implemented in deWorld.

virtual deWorldID IdeWorld::GetLocalIDFromLoadedWorld | ( | deWorldID | WorldID | ) | `[pure virtual]`

| translates the ID of a currently loaded deWorld into a "local" world ID that world objects can serialize safely. Implemented in deWorld.

virtual deObjectID IdeWorld::GetNextObjectOfType | ( | const char * | TypeName,
|  | void *& | PrevEntry
| ) | `[pure virtual]`

  | Call repeatedly to retrieve the stored objects Returns: the ID of an object stored in this world with the type name specified Parameters:
  TypeName | a string indicating the typename of an object. Use return value of GetNextObjectTypeName.
  PrevEntry | a void pointer that is modified inside the function. Set to NULL for the first call.
Implemented in deWorld.

virtual const char* IdeWorld::GetNextObjectTypeName | ( | void *& | PrevEntry | ) | `[pure virtual]`

  | Call repeatedly to retrieve the typenames of all the stored items Returns: pointer to character array containing name of a type Parameters:
  PrevEntry | a void pointer that is modified inside the function. Set to NULL for the first call.
Implemented in deWorld.

virtual deWorldID IdeWorld::GetWorldID | ( |  | ) | `[pure virtual]`

| Get the ID number of this world. Implemented in deWorld.

virtual deWorldID IdeWorld::GetWorldIDUsingLocalID | ( | deWorldID | LocalID,
|  | deBoolean | ForceLoad = (DE_FALSE)
| ) | `[pure virtual]`

| Used by descendants of IdeWorldObject so that they can store a "local" world ID which is serializable, using a translation layer. Reverses GetLocalIDFromLoadedWorld output Implemented in deWorld.

virtual IdeWorldObject* IdeWorld::GetWorldObject | ( | deObjectID | ObjectID | ) | `[pure virtual]`

| Get the interface to an object based on its ID. Implemented in deWorld.

virtual deBoolean IdeWorld::RemoveWorldObject | ( | deObjectID | ObjectID | ) | `[pure virtual]`

| Implemented in deWorld.

virtual deBoolean IdeWorld::Serialize | ( | IdeFile * | File | ) | `[pure virtual]`

| Write the world to an open file. Implemented in deWorld.

The documentation for this class was generated from the following file:

- deWorld.hpp